package com.lovecoding.day13.ex;

public class TestInner {
    public static void main(String[] args){
        Outer.Inner in = new Sub();
        in.method();//输出 hello inner
    }
}

class Outer {
    abstract class Inner{
        abstract void method();
    }
}
class Sub extends Outer.Inner {
    static Outer out = new Outer();
    Sub(){
        out.super(); // 构造外部类 才能使用  继承 Outer.Inner
    }

    @Override
    void method() {

    }
}

